Summary:	TDB - Trivial Database
Summary(pl.UTF-8):	TDB - prosta baza danych
Name:		tdb
Version:	1.3.8
Release:	1
Epoch:		2
License:	LGPL v3+
Group:		Libraries
Source0:	https://www.samba.org/ftp/tdb/%{name}-%{version}.tar.gz
# Source0-md5:	fa4c9e2f59fcf41441285bca5f5ab481
URL:		http://tdb.samba.org/
BuildRequires:	python-devel >= 2
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Obsoletes:	tdb-extras
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TDB is a Trivial Database. In concept, it is very much like GDBM, and
BSD's DB except that it allows multiple simultaneous writers and uses
locking internally to keep writers from trampling on each other. TDB
is also extremely small.

%description -l pl.UTF-8
TDB to Trivial Database, czyli prosta baza danych. W założeniach jest
bardzo podobna do GDBM lub DB z BSD z wyjątkiem tego, że pozwala na
zapis wielu procesom jednocześnie i używa wewnętrznie blokowania, aby
nie pozwolić piszącym na zadeptanie się nawzajem. TDB jest ponadto
ekstremalnie mała.

%package devel
Summary:	Header files for TDB library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki TDB
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	tdb-static

%description devel
Header files for TDB library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki TDB.

%package -n python-tdb
Summary:	Python bindings for TDB
Summary(pl.UTF-8):	Pythonowy interfejs do TDB
Group:		Libraries/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}
%pyrequires_eq  python-libs

%description -n python-tdb
Python bindings for TDB.

%description -n python-tdb -l pl.UTF-8
Pythonowy interfejs do TDB.

%prep
%setup -q

%build
# note: configure in fact is waf call
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
PYTHONDIR=%{py_sitedir} \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--disable-rpath

%{__make} \
	V=1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%triggerpostun -p /sbin/postshell -- tdb < 2:1.2.9-2
-rm -f %{_libdir}/libtdb.so.1
/sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc docs/{README,mutex.txt,tracing.txt}
%attr(755,root,root) %{_bindir}/tdbbackup
%attr(755,root,root) %{_bindir}/tdbdump
%attr(755,root,root) %{_bindir}/tdbrestore
%attr(755,root,root) %{_bindir}/tdbtool
%attr(755,root,root) %{_libdir}/libtdb.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtdb.so.1
%{_mandir}/man8/tdbbackup.8*
%{_mandir}/man8/tdbdump.8*
%{_mandir}/man8/tdbrestore.8*
%{_mandir}/man8/tdbtool.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtdb.so
%{_includedir}/tdb.h
%{_pkgconfigdir}/tdb.pc

%files -n python-tdb
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/tdb.so
%{py_sitedir}/_tdb_text.py[co]
%changelog
* Sun Nov 08 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tdb.git;a=log;h=master

* Sun Nov 08 2015 Jakub Bogusz <qboosh@pld-linux.org> 0f97ffa
- updated to 1.3.8

* Fri Sep 18 2015 Jakub Bogusz <qboosh@pld-linux.org> b52f5dd
- updated to 1.3.7

* Fri Jun 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 267cb02
- updated to 1.3.6

* Sat May 23 2015 Jakub Bogusz <qboosh@pld-linux.org> 8d9a273
- disable rpath; release 2

* Thu May 21 2015 Jakub Bogusz <qboosh@pld-linux.org> ef814a2
- updated to 1.3.5

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 84d0c51
- x32 rebuild
- release 2 (by relup.sh)

* Wed Dec 31 2014 Jakub Bogusz <qboosh@pld-linux.org> 8ad9456
- updated to 1.3.4
- removed include patch

* Sun Nov 02 2014 Jakub Bogusz <qboosh@pld-linux.org> c8ea066
- added include patch (tdb.h requires stdbool.h)

* Sat Nov 01 2014 Jakub Bogusz <qboosh@pld-linux.org> df06cb6
- updated to 1.3.1

* Sat May 24 2014 Jakub Bogusz <qboosh@pld-linux.org> 6b40aa4
- updated to 1.3.0

* Fri Apr 04 2014 Jakub Bogusz <qboosh@pld-linux.org> 2f854ee
- updated to 1.2.13

* Thu Jun 06 2013 Jakub Bogusz <qboosh@pld-linux.org> 676cb97
- updated to 1.2.12

* Sun Dec 16 2012 Jakub Bogusz <qboosh@pld-linux.org> c5c5665
- updated to 1.2.11

* Fri Apr 13 2012 Jakub Bogusz <qboosh@pld-linux.org> 713fe6a
- updated to 1.2.10

* Sun Oct 02 2011 Elan Ruusamäe <glen@pld-linux.org> 414a27b
- epoch in deps

* Sat Oct 01 2011 Elan Ruusamäe <glen@pld-linux.org> 28d9516
- epoch 2 to allow migrating from samba.spec built package

* Sat Jan 15 2011 Jakub Bogusz <qboosh@pld-linux.org> bb5553b
- cleanup

* Sat Jan 15 2011 Jakub Bogusz <qboosh@pld-linux.org> 44928e2
- spec resurrected
- updated to 1.2.9
- uses waf now - -static is gone

* Wed Jan 27 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e492925
- tdb packages are now built from samba.spec

* Thu Jan 07 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f8d7b5c
- rel .3

